Name: garmin-sync
Version: 0.3	
Release: 17%{?dist}
Summary: Download data from Garmin fitness computers
Group: Applications/Communications
License: GPLv2+
URL: https://bugs.launchpad.net/garmin-sync
Source0: http://launchpad.net/garmin-sync/devel/%{version}/+download/garmin-sync-%{version}.tar.gz
Patch0: garmin-sync-unitid.patch
Patch1: garmin-sync-outdir.patch
Patch2: garmin-sync-path.patch
# https://bugs.launchpad.net/garmin-sync/+bug/381213
Patch3: garmin-sync-cadence.patch
BuildRequires: python2-devel
BuildArch: noarch
Requires: python2-pyusb

%description
garmin-sync allows you to download information from your Garmin Edge
and Forerunner devices.

%prep
%setup -q
%patch0 -p1 -b .unitid
%patch1 -p1 -b .outdir
%patch2 -p1 -b .path
%patch3 -p1 -b .cadence

%build
# nothing to do

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/garmin-sync
# install the files, strip shebang headers
for f in *.py ; do install -m 0644 $f $RPM_BUILD_ROOT/%{_datadir}/garmin-sync ; sed -i -e s'/^#!.*//' $RPM_BUILD_ROOT/%{_datadir}/garmin-sync/$f ; done

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 garmin-sync $RPM_BUILD_ROOT/%{_bindir}

%files
%doc README
%{_bindir}/garmin-sync
%{_datadir}/garmin-sync


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 04 2018 Tony Breeds <tony@bakeyournoodle.com> - 0.3-16
- Updated to remove %defattr as per packaging standards

* Thu Mar 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 12 2011 Tony Breeds <tony@bakeyournoodle.com> - 0.3-4
- Reactivate package for F13+
- Add patch from Launchpad to store cadence data
- Also address review feedback

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3-2
- Rebuild for Python 2.6

* Mon Jun 16 2008 Jeremy Katz <katzj@redhat.com> - 0.3-1
- Initial build
- Add patch from Launchpad #226300 to fix output format
- Add patch to allow installing
- Add patch to add --output-directory option
